Ask Your Question
0

puppet 3.4.2 Error: Could not retrieve catalog from remote server: Error 400 on SERVER: undefined method `trusted_data='

asked 2014-01-14 17:36:54 -0500

marc gravatar image

Hi,

Could you please tell me what are the possible causes for the error below?

Thanks, Marc root@ubuntu1204:~# puppet device --verbose --server=ubuntu1204 Info: starting applying configuration to certname at https://admin:admin@bigip1141.localhost.localdomain/ Notice: Using less secure serialization of reports and query parameters for compatibility Notice: with older puppet master. To remove this notice, please upgrade your master(s) Notice: to Puppet 3.3 or newer. Notice: See http://links.puppetlabs.com/deprecateyamlonnetwork for more information. Info: Retrieving plugin **Error: Could not retrieve catalog from remote server: Error 400 on SERVER: undefined method ... (more)

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2014-01-15 23:16:11 -0500

rjc gravatar image

The answer is there - upgrade your puppet master.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2014-01-14 17:36:54 -0500

Seen: 155 times

Last updated: Jan 15 '14